#
# spec file for package abcde
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           abcde
Version:        2.6
Release:        5.1
Summary:        A Better CD Encoder
License:        GPL-2.0+
Group:          Productivity/Multimedia/Sound/Utilities
Url:            http://abcde.einval.com/
Source0:        http://abcde.einval.com/download/%{name}-%{version}.tar.gz
# bug 419800
Patch0:         abcde_%{version}-quote.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       cd-discid
Requires:       cdparanoia
Requires:       vorbis-tools
Requires:       wget
Recommends:     id3v2

%description
A front-end program to cdparanoia, wget, cd-discid, id3, and your
favorite Ogg or MP3 encoder (defaults to oggenc). Grabs an entire CD
and converts each track to Ogg or MP3 then comments or ID3 tags each
file with one command.

%prep
%setup -q
%patch0

%build

%install
mkdir -p $RPM_BUILD_ROOT/usr/bin
install -m 755 abcde $RPM_BUILD_ROOT/usr/bin
install -m 755 cddb-tool $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT%_mandir/man1
cp *.1 $RPM_BUILD_ROOT%_mandir/man1
mkdir -p $RPM_BUILD_ROOT/etc
cp abcde.conf $RPM_BUILD_ROOT/etc

%files
%defattr(-,root,root)
%doc README TODO COPYING
%doc %{_mandir}/man1/*
%{_bindir}/*
%config(noreplace) /etc/abcde.conf

%changelog
* Sat Jan 24 2015 sweet_f_a@gmx.de
- re-add man pages, last update accidentally removed them
* Sat Dec 13 2014 p.drouand@gmail.com
- Update to version 2.6
  + Fix finding $CDROM on OS X. Closes issue 71.
  + USEID3 and USEID3V2 variables are unused now, so remove them.
    Closes issue 73.
  + Clean up movement to eyeD3, remove id3v2 remnants. Closes issue 74.
  + Fix infinite loop if cddb fails. Closes: #687038 in Debian
  + Switch from Musepack SV7 to SV8.
  + Allow aac encoding with neroAacEnc. Closes issue 8.
  + Allow opus encoding with opusenc. Closes issue 70.
  + Fix typo: s/CUEWAVEFILE/CUEWAVFILE/ so that abcde.mkcue should now
    produce working cue files. Closes issue 78.
  + Remove no-op -q option. Closes issue 106.
  + Fix issue 112: perl encoding pragma deprecation.
  + Fix option parsing for multiple output formats. Closes issue 115.
  + Fix eyeD3 tagging for cddb entries without year. Closes issue 107
  + Add mention of CD-TEXT support in the man page. Closes issue 102.
  + Make Y/N prompting more consistent. Closes issue 95
  + Remove the no-op -B option. Closes: #426531 in Debian
  + Document the need to escape parentheses in tag comments.
    Closes: #256941 in Debian.
  + Concatenate option steps on -t/-T option. Closes: #391294 in Debian
  + Try to use bsd-mailx where possible to force UTF-8 for cddb-tool mail
    submissions. If not possible, attempt to force UTF-8 via the
    environment and fall back to mail instead. Closes: #756289 in Debian,
    issue 111.
- Make cd-discid live in it's own package
- Update Urls and dowload sources
- Refresh the old abcde_2.3.99.6-quote.patch to abcde_2.6-quote.patch
* Wed Oct  5 2011 uli@suse.com
- cross-build fix: use %%__cc macro
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
* Thu Feb 10 2011 tschmidt@novell.com
- added recommends id3v2
* Fri Oct 31 2008 coolo@suse.de
- apply patch from bnc#419800 to fix
  "abcde quotes some variables incorrectly"
* Tue Nov 27 2007 coolo@suse.de
- update to 2.3.99.6: tons of debian bug reports fixed, e.g.
  * Default to UNICODE (UTF8) tags and comments (Closes: #282332).
  - Added CDDBPROTO option in config file (Closes: #349951)
  * Added a missing "INDEX 01" entry for CUE sheet creation.
  * Avoid completing the encoding of files if we aborted previously.
  * Embed the CUE sheet if we have a cuesheet file and we have a single FLAC
    file, even if we are not tagging. This way we can use the file as a source
    even if it is not tagged/named properly.
  * Fails to quote filenames properly (Closes: #355296)
* Thu Sep  7 2006 coolo@suse.de
- update to 2.3.3:
  * Rips done in a single track were getting tagged as Various. Corrected.
  * Possibly eliminated some bashisms from using a variable as a variable
    (Closes: #324399). Thanks to A Costa.
  * MKCUE needs to be passed some $CDROM as an option, or otherwise it will
    not read the CDROM, in case is not /dev/cdrom.
  * Also, make the CUEREADER a bit more general, since we might be using other
    CUE extractors.
  * Defining the tracknumber now resets the first track if given a number
    different than 1 (that is: abcde -T 1 2-10 creates songs 1 to 9).
  * Modified the FAQ to reflect the changes on Marillat's repo
    (Closes: #315724).
  * Should be "space" safe: works properly when the working directory contains
    a space (Closes: #147493).
  * Repared the CD query for the discid code. When failing to read a disc,
    actually report that there might be no disc in the drive.
  * Right now, walk over the different encoders we Depends: on in Debian and
    use the one available: if a user has a FLAC encoder, abcde will no install
    vorbis-tools, so it will fail to run out of the box (Closes: #321216)
  * Added CUE support. Still experimental...
  * Added FLAC on Ogg. Still not activated, since we cannot get comments added
    as a post-process action.
  * Applied patches from Fedora Core (Credit goes to Nils Philippsen
    <nphilipp@redhat.com>)
  * Added a post_read() function to be executed before ejecting the CD.
  * Typos reported by A Costa corrected (Closes: #311463)
  * Problem with abcde being run in a directory with files containing only
    numbers solved (Closes: #313628).
  * vorbiscomment uses now "-R" (Closes: #303566).
  * "-t" and "-T" use the first track as a starter for the track list.
    (Closes: #305749).
  * Added CDPARANOIACDROMBUS option to define -d in case of using IDE and SCSI
    in case of using ide-scsi emulation layer (Closes: #290768).
  * Define metaflac in abcde.conf (Closes: #303555)
  * Double quotation added to solve parsing * as a wildcard (Closes: #302904).
    Thanks to Christian Grigis for the patch. Also (Closes: #268088).
  * CDPARANOIAOUTPUT missed some quotes.
  * Removed some useless lines.
  * If BATCH is used with ONETRACK, disable BATCH.
  * Small typos with CDROM comparisons.
  * Logic for CDROM variable improved.
  * Changed the way we call flac, to adapt to the new times:
  - -import-vc-from= to --import-tags-from.
  * DOSPLAYLIST was not included in the list of options.
  * Options passed to the encoder by using <-o ogg:"-b 192"> are now
    supported. One can modify the way abcde encodes just for the current CD.
  * Unfortunatelly I forgot to add the starting number for tags in Ogg. For
    MP3 is a bit more difficult, since it needs changing the X/YY code.
  * Also, the order of the tags in metaflac is important for the utf8 names.
    Thanks to Frederik Juul Christiani (Closes: #297482)
  * Added CDROMID in the .conf file, for reader programs that need it
    (Closes: #297005)
  * Added a check for cdparanoia when encountering data-only CDs.
  * Use the default while erasing an existing playlist (Closes: #288835).
  * Does not destroy track information when a track contains "=" in the name
    (Closes: #290709).
  * Quotes missing when evaluating a value (Closes: #284018).
  * Spotted and solved a problem with the way the data tracks were detected
    (Closes: #282647).
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Nov  2 2005 coolo@suse.de
- make CDROM != /dev/cdrom work
* Fri Jan 21 2005 coolo@suse.de
- update to 2.2.0
* Thu Aug  5 2004 coolo@suse.de
- update to 2.1.19
* Fri Oct 31 2003 coolo@suse.de
- build as user
* Mon Oct 13 2003 coolo@suse.de
- update to 2.1.6
* Fri Aug 15 2003 coolo@suse.de
- sent patch yesterday, today new version
* Wed Aug 13 2003 coolo@suse.de
- update to 2.1.4
- apply diff to avoid -1 syntax to tail,head,nice
* Tue Apr 22 2003 coolo@suse.de
- update to 2.1.2
* Thu Apr 10 2003 coolo@suse.de
- updated to 2.1.1
* Sun Aug  4 2002 coolo@suse.de
- Initial package
